Delete COMPOSITION
Deletes the COMPOSITION identified by uid_based_id and associated with the EHR identified by ehr_id.
The uid_based_id MUST be in a form of an OBJECT_VERSION_ID identifier taken from the last (most recent) VERSION.uid.value, representing the preceding_version_uid to be deleted.
Path Parameters
- Type: stringehr
_id requiredEHR identifier taken from EHR.ehr_id.value.
- Type: stringuid
_based _id requiredAn identifier in a form of an OBJECT_VERSION_ID identifier taken from VERSION.uid.value (i.e. a
version_uid).
Responses
- 400
400 Bad Requestis returned when the request URL could not be parsed (i.e. invalid format of request parameters) or when the resource identified by the request parameters is already deleted. - 404
404 Not Foundis returned when an EHR withehr_iddoes not exist, or when theuid_based_iddoes not exist.
Request Example for delete/ehr/{ehr_id}/composition/{uid_based_id}
curl https://cataniamc.prod.cadasto.com/openehr/v1/ehr/7d44b88c-4199-4bad-97dc-d78268e01398/composition/8849182c-82ad-4088-a07f-48ead4180515::cataniamc.prod.cadasto.com::1 \
--request DELETE
No Body